summaryrefslogtreecommitdiffstats
path: root/misc/moreutils/moreutils.SlackBuild
diff options
context:
space:
mode:
author Arkadiusz Drabczyk <arkadiusz@drabczyk.org>2020-07-01 21:20:36 +0200
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-08-29 10:07:59 +0700
commitcf4838634f35d7e82974bd48e011867a10134d59 (patch)
tree665734547145ae03cda4bc5fd9a1018e9b5228ef /misc/moreutils/moreutils.SlackBuild
parentc29597cef148e579062a0ff4733df6dc6b4b3ffb (diff)
downloadslackbuilds-cf4838634f35d7e82974bd48e011867a10134d59.tar.gz
slackbuilds-cf4838634f35d7e82974bd48e011867a10134d59.tar.xz
misc/moreutils: Make requirements optional, add a build variable
Signed-off-by: Arkadiusz Drabczyk <arkadiusz@drabczyk.org> Co-developed-by: B Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc/moreutils/moreutils.SlackBuild')
-rw-r--r--misc/moreutils/moreutils.SlackBuild10
1 files changed, 9 insertions, 1 deletions
diff --git a/misc/moreutils/moreutils.SlackBuild b/misc/moreutils/moreutils.SlackBuild
index 077644d309..9a441d49bb 100644
--- a/misc/moreutils/moreutils.SlackBuild
+++ b/misc/moreutils/moreutils.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=moreutils
VERSION=${VERSION:-0.63}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -77,6 +77,14 @@ mkdir $PKG/usr/man
mv $PKG/usr/share/man/* $PKG/usr/man
rm -rf $PKG/usr/share/ $PKG/usr/man/man1/ts.1
+if [ "${PARALLEL:-yes}" = "no" ]; then
+ rm -f $PKG/usr/bin/parallel $PKG/usr/man/man1/parallel.1
+fi
+
+if ! perl -MIPC::Run -e 1 2>/dev/null; then
+ rm -f $PKG/usr/bin/chronic $PKG/usr/man/man1/chronic.1
+fi
+
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true